
# User Management

Fully functional user management system that backs itself upon the [Apex Armor](https://code.apexpl.io/apexpl/users) package.

## Event Dispatched Messages

There are multiple messages that get dispatched allowing you to execute additional PHP code every time a new user is created among other things, as explained in the below table.  More information can be found on the [Event Listeners](https://apexpl.io/docs/events/listeners) page of the developer documentation.  Below are the availalbe routing keys.

Routing Key | Description
-------------| ------------- 
users.profiles.preCreate | Executed during user registration before the user account is created.
users.profiles.postCreate | Executed during user registration after the user account is created.
users.profiles.login | Dispatched when a user successfully logs in, and before being shown a view.  Itended to be used if you need to pre-empt the user to complete a task before they have full access to the member's area.

## Reference

You may view reference details on this package by visiting both, the [Apex Armor](https://github.com/apexpl/armor) on Guthub and the functional reference at [https://code.apexpl.io/apex/users/trunk/docs/classes/index.md](https://code.apexpl.io/apex/users/trunk/docs/classes/index.md).


