

CREATE TABLE internal_login_notices (
    id INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
    is_markdown BOOLEAN NOT NULL DEFAULT false,
    requires_accept BOOLEAN NOT NULL DEFAULT false,
    user_type ENUM('all','existing','new') NOT NULL DEFAULT 'all',
    criteria TEXT NOT NULL,
    created_at TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
    updated_at TIMESTAMP,
    title VARCHAR(255) NOT NULL,
    contents LONGTEXT NOT NULL
);

CREATE TABLE user_login_notices (
    id INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
    is_viewed BOOLEAN NOT NULL DEFAULT false,
    is_accepted BOOLEAN NOT NULL DEFAULT false,
    notice_id INT NOT NULL,
    created_at TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
    viewed_at TIMESTAMP,
    accepted_at TIMESTAMP,
    FOREIGN KEY (notice_id) REFERENCES internal_login_notices (id) ON DELETE CASCADE
);


