<?php
declare(strict_types = 1);

namespace Etc\Users;

use Apex\Migrations\Handlers\Migration;
use Apex\Db\Interfaces\DbInterface;

/**
 * Installation migration file for the package Users
 *
 * Although recommended, if you do not wish to use SQL, Eloquent and Doctrine 
 * migrations are also available.  For details, please see:
 *     https://apexpl.io/docs/database/migrations
 */
class migrate extends Migration
{

    /**
     * Install
     */
    public function install(DbInterface $db):void
    {

        // Execute install.sql file
        $db->executeSqlFile(__DIR__ . '/install.sql');
    }

    /**
     * Remove
     */
    public function remove(DbInterface $db):void
    {

        // Execute SQL file
        $db->executeSqlFile(__DIR__ . '/remove.sql');
    }

}


