
CREATE TABLE internal_email_notifications_queue (
    id INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
    is_pending BOOLEAN NOT NULL DEFAULT true,
    total_sent INT NOT NULL DEFAULT 0,
    opens INT NOT NULL DEFAULT 0,
    clicks INT NOT NULL DEFAULT 0,
    mhash VARCHAR(10) NOT NULL UNIQUE,
    sent_by CHAR(255) NOT NULL,
    sender VARCHAR(30) NOT NULL,
    reply_to VARCHAR(255) not null,
    send_date DATETIME NOT NULL,
    adapter VARCHAR(255) NOT NULL,
    subject VARCHAR(255) NOT NULL,
    attach_filename VARCHAR(255) NOT NULL DEFAULT '',
    attach_contents LONGTEXT NOT NULL,
    text_message LONGTEXT NOT NULL,
    html_message LONGTEXT NOT NULL,
    condition_vars LONGTEXT NOT NULL,
    started_at TIMESTAMP,
    completed_at TIMESTAMP
);


CREATE TABLE internal_email_notifications_actions (
    id INT NOT NULL PRIMARY KEY AUTO_INCREMENT,
    mhash VARCHAR(10) NOT NULL,
    action VARCHAR(10) NOT NULL,
    ip_address VARCHAR(60) NOT NULL,
    tracking_id VARCHAR(30) NOT NULL DEFAULT '',
    created_at TIMESTAMP NOT NULL DEFAULT CURRENT_TIMESTAMP,
    FOREIGN KEY (mhash) REFERENCES internal_email_notifications_queue(mhash) ON DELETE CASCADE
);



