<?php
declare(strict_types = 1);

namespace App\Transaction\Adapters;

use App\Transaction\Models\Tx;

/**
 * Abstract transaction processor
 */
abstract class AbstractAdapter
{


    /**
     * Get name
     */
    abstract function getName(Tx $tx):string;

    /**
     * Get amount
     */
    public function getAmount(Tx $tx):float | string
    {
        return $tx->amount;
    }

    /**
     * Get fee
     */
    public function getFee(Tx $tx):float | string
    {
        return null;
    }

    /**
     * Transaction approved
     */
    public function approved(Tx $tx):void
    {

    }

    /**
     * Transaction declined
     */
    public function declined(Tx $tx):void
    {

    }

    /**
     * Pending
     */
    public function pending(Tx $tx):void
    {

    }

    /**
     * Transaction refunded
     */
    public function refunded(Tx $tx):void
    {

    }

}


