<?php
declare(strict_types = 1);

namespace App\Transaction\Adapters;

use Apex\Svc\Container;
use Apex\App\Base\Implementors;
use App\Transaction\Interfaces\AdapterInterface;

/**
 * Abstract adapter group
 */
class AbstractAdapterGroup
{

    #[Inject(Container::class)]
    protected Container $cntr;

    #[Inject(Implementors::class)]
    protected Implementors $implementors;

    /**
     * Create select options
     */
    public function createSelectOptions(string $selected = ''): string
    {

        // Get adapters
        $titles = $this->implementors->getPropertyValues(AdapterInterface::class, 'title');
        $groups = $this->implementors->getPropertyValues(AdapterInterface::class, 'group_class');

        // Go through adapters
        $options = '';
        foreach ($groups as $class_name => $group_class) {

            // Skip, if needed
            if ($group_class != static::class) {
                continue;
            }

            // Add to options
            $chk = $selected == $class_name ? 'selected="selected"' : '';
            $options .= "        <option value=\"$class_name\" $chk>$titles[$class_name]</option>\n";
        }

        // Return
        return $options;
    }

}

