<?php
declare(strict_types = 1);

namespace App\Transaction\Adapters;

use App\Transaction\Models\Tx;
use App\Transaction\Adapters\SystemAdapterGroup;
use App\Transaction\Interfaces\AdapterInterface;

/**
 * Deposit transaction processor
 */
class Deposit extends AbstractAdapter implements AdapterInterface
{

    /**
     * Title of the payment processor
     */
    public string $title = 'Deposit';

    /**
     * Fully classified class name of the adapter group this adapter belong to.  
     * Optional, and if left blank or omitted, this adapter will be placed under the "Miscellaneous" group.
     */
    public string $group_class = SystemAdapterGroup::class;

    /**
     * Get name
     */
    public function getName(Tx $tx):string
    {

        // Get name
        $name = 'Deposit';
        if ($tx->description != '') {
            $name .= ' - ' . $tx->description;
        }

        // Return
        return $name;
    }

}

