<?php
declare(strict_types = 1);

namespace App\Transaction\Interfaces;

use App\Transaction\Models\Tx;

/**
 * Tx Processor Interface
 */
interface AdapterInterface
{

    /**
     * Get name
     */
    public function getName(Tx $tx):string;

    /**
     * Get amount
     */
    public function getAmount(Tx $tx):float | string;

    /**
     * Get fee
     */
    public function getFee(Tx $tx):float | string;

    /**
     * Approved
     */
    public function approved(Tx $tx):void;

    /**
     * Declined
     */
    public function declined(Tx $tx):void;

    /**
     * Pending
     */
    public function pending(Tx $tx):void;

    /**
     8 Refunded
     */
    public function refunded(Tx $tx):void;

}


