<?php
declare(strict_types=1);

namespace App\Transaction\Interfaces;

use App\Transaction\Enums\TxStatus;

/**
 * Credit card payment processor interface
 */
interface CreditCardPaymentProcessorInterface extends PaymentProcessorInterface
{

    /**
     * Process credit card request
     */
    public function processPayment(Tx $tx): TXStatus;

    /**
     * Process credit / refund
     */
    public function processCredit(Tx $tx): bool;

}

