<?php
declare(strict_types=1);

namespace App\Transaction\Interfaces;

use Apex\App\Base\Web\Utils\FormBuilder;
use App\Transaction\Models\Tx;

/**
 * Manual payment processor interface
 */
interface ManualPaymentProcessorInterface extends PaymentProcessorInterface
{

    /**
     * User confirmation fields
     * Get user submission fields.
     */
    public function getUserSubmissionFields(Tx $tx, FormBuilder $builder): array;

    /**
     * Get admin submission fields
     */
    public function getAdminSubmissionFields(Tx $tx, FormBuilder $builder): array;

    /**
     * Get user request fields
     */
    public function getUserRequestFields(Tx $tx, FormBuilder $builder): array;

    /**
     * Get admin request fields
     */
    public function getAdminRequestFields(Tx $tx, FormBuilder $builder): array;

    /**
     * Get user response fields
     */
    public function getUserResponseFields(Tx $tx, FormBuilder $builder): array;

    /**
     * Get admin response fields
     */
    public function getAdminResponseFields(Tx $tx, FormBuilder $builder): array;

}



