<?php
declare(strict_types=1);

namespace App\Transaction\Interfaces;

use App\Transaction\Models\Tx;
use App\Transaction\Enums\TxStatus;

/**
 * Third party payment interface
 */
interface ThirdPartyPaymentProcessorInterface extends PaymentProcessorInterface
{

    /**
     * Get URL
     */
    public function getUrl(Tx $tx): string;

    /**
     * Create http request.
     */
    public function createPaymentRequest(Tx $tx): array;

    /**
     * Process response
     */
    public function processResponse(Tx $tx): TxStatus;

}


    

