<?php
declare(strict_types=1);

namespace App\Transaction\Models;

use Apex\App\Base\Model\MagicModel;
use App\Transaction\Models\TxAccount;
use Apex\App\Base\Model\ModelIterator;
use App\Transaction\Models\Tx;
use DateTime;

/**
 * Currency Model
 */
class Currency extends MagicModel
{

    /**
     * Database table
     *
     * @var string
     */
    protected static string $dbtable = 'transaction_currencies';

    /**
     * Constructor
     */
    public function __construct(
        protected int $id,
        protected bool $is_active = true,
        protected bool $is_create_on_register = true,
        protected bool $is_auto_create = true,
        protected bool $is_crypto = false,
        protected float $current_rate = 0.00000000,
        protected string $abbr = '',
        protected string $name = '',
        protected string $adapter = '',
        protected ?DateTime $updated_at = null
    ) { 

    }

    /**
     * Get Tx Account
     */
    public function getTxAccounts(string $sort_by = '', string $sort_dir = '', int $limit = 0, int $offset = 0):ModelIterator
    {
        $result = $this->getChildren('transaction_accounts.currency', TxAccount::class, $sort_by, $sort_dir, $limit, $offset);
        return $result;
    }

    /**
     * Get Tx
     */
    public function getTxs(string $sort_by = '', string $sort_dir = '', int $limit = 0, int $offset = 0):ModelIterator
    {
        $result = $this->getChildren('transaction.currency', Tx::class, $sort_by, $sort_dir, $limit, $offset);
        return $result;
    }


}

