<?php
declare(strict_types = 1);

namespace App\Transaction\Models;

use Apex\App\Base\Model\MagicModel;
use App\Transaction\Models\Tx;
use DateTime;

/**
 * TxNote Model
 */
class TxNote extends MagicModel
{

    /**
     * Database table
     *
     * @var string
     */
    protected static string $dbtable = 'transaction_notes';

    /**
     * Constructor
     */
    public function __construct(
        protected int $id, 
        protected int $trans_id, 
        protected string $uuid, 
        protected ?DateTime $created_at = null, 
        protected string $note = ''
    ) { 

    }

    /**
     * Get Tx
     */
    public function getTx():Tx
    {
        $obj = Tx::whereId($this->trans_id);
        return $obj;
    }


}

