<?php
declare(strict_types = 1);

namespace App\Users\Models;

use Apex\Svc\App;
use Apex\App\Base\Model\MagicModel;
use DateTime;

/**
 * LoginNotice Model
 */
class LoginNotice extends MagicModel
{

    /**
     * Database table
     *
     * @var string
     */
    protected static string $dbtable = 'internal_login_notices';

    /**
     * Constructor
     */
    public function __construct(
        protected int $id, 
        protected bool $is_markdown = false, 
        protected bool $requires_accept = false, 
        protected string $user_type = 'all',
        protected string $criteria = '', 
        protected ?DateTime $created_at = null, 
        protected ?DateTime $updated_at = null, 
        protected string $title = '',
        protected string $contents = ''
    ) { 

    }

    /**
     * Get criteria from form
     */
    public static function getCriteriaFromForm(App $app):string
    {

        // Set criteria
        $criteria = [
            'group_id' => $app->post('group_id'),
            'is_active' => $app->post('is_active'),
            'is_deleted' => $app->post('is_deleted'),
            'email_verified' => $app->post('email_verified'),
            'phone_verified' => $app->post('phone_verified')
        ];

        // Return
        return json_encode($criteria);
    }


}

