<?php
declare(strict_types = 1);

namespace App\Users\Models;

use Apex\App\Base\Model\{MagicModel, ModelIterator};
use DateTime;

/**
 * Note Model
 */
class Note extends MagicModel
{

    /**
     * Database table
     *
     * @var string
     */
    protected static string $dbtable = 'user_notes';

    /**
     * Constructor
     */
    public function __construct(
        protected int $id, 
        protected string $uuid, 
        protected string $added_by, 
        protected ?DateTime $created_at = null, 
        protected string $note = ''
    ) { 

    }

    /**
     * Get user notes
     */
    public static function getUser(string $uuid, int $limit = 25, int $offset = 0):ModelIterator
    {
        $notes = self::where("uuid = %s ORDER BY created_at DESC LIMIT $limit OFFSET $offset", $uuid);
        return $notes;
    }

}

