<?php
declare(strict_types = 1);

namespace App\Users\Models;

use Apex\App\Base\Model\BaseModel;
use DateTime;

/**
 * ProfileField Model
 */
class ProfileField extends BaseModel
{

    /**
     * Database table
     *
     * @var string
     */
    protected static string $dbtable = 'user_profile_fields';

    /**
     * Constructor
     */
    public function __construct(
        protected int $id, 
        protected bool $show_in_form = true, 
        protected int $order_num = 0, 
        protected string $form_field = 'textbox', 
        protected string $alias = '', 
        protected string $default_value = '', 
        protected string $name = '', 
        protected ?string $options = null
    ) { 

    }

    /**
     * Get Id
     */
    public function getId():int
    {
        return $this->id;
    }

    /**
     * Get Show Inform
     */
    public function getShowInForm():bool
    {
        return $this->show_in_form;
    }

    /**
     * Get Order Num
     */
    public function getOrderNum():int
    {
        return $this->order_num;
    }

    /**
     * Get Form Field
     */
    public function getFormField():string
    {
        return $this->form_field;
    }

    /**
     * Get Alias
     */
    public function getAlias():string
    {
        return $this->alias;
    }

    /**
     * Get Default Value
     */
    public function getDefaultValue():string
    {
        return $this->default_value;
    }

    /**
     * Get Name
     */
    public function getName():string
    {
        return $this->name;
    }

    /**
     * Get Options
     */
    public function getOptions():?string
    {
        return $this->options;
    }


    /**
     * Set Id
     */
    public function setId(int $id):void
    {
        $this->id = $id;
    }

    /**
     * Set Show Inform
     */
    public function setShowInForm(bool $show_in_form):void
    {
        $this->show_in_form = $show_in_form;
    }

    /**
     * Set Order Num
     */
    public function setOrderNum(int $order_num):void
    {
        $this->order_num = $order_num;
    }

    /**
     * Set Form Field
     */
    public function setFormField(string $form_field):void
    {
        $this->form_field = $form_field;
    }

    /**
     * Set Alias
     */
    public function setAlias(string $alias):void
    {
        $this->alias = $alias;
    }

    /**
     * Set Default Value
     */
    public function setDefaultValue(string $default_value):void
    {
        $this->default_value = $default_value;
    }

    /**
     * Set Name
     */
    public function setName(string $name):void
    {
        $this->name = $name;
    }

    /**
     * Set Options
     */
    public function setOptions(string $options):void
    {
        $this->options = $options;
    }



}



