<?php
declare(strict_types = 1);

namespace App\Users\Models;

use Apex\App\Base\Model\BaseModel;
use DateTime;

/**
 * UserGroup Model
 */
class UserGroup extends BaseModel
{

    /**
     * Database table
     *
     * @var string
     */
    protected static string $dbtable = 'user_groups';

    /**
     * Constructor
     */
    public function __construct(
        protected int $id, 
        protected int $show_in_form, 
        protected string $name
    ) { 

    }

    /**
     * Get Id
     */
    public function getId():int
    {
        return $this->id;
    }

    /**
     * Get Show Inform
     */
    public function getShowInForm():int
    {
        return $this->show_in_form;
    }

    /**
     * Get Name
     */
    public function getName():string
    {
        return $this->name;
    }


    /**
     * Set Id
     */
    public function setId(int $id):void
    {
        $this->id = $id;
    }

    /**
     * Set Show Inform
     */
    public function setShowInForm(int $show_in_form):void
    {
        $this->show_in_form = $show_in_form;
    }

    /**
     * Set Name
     */
    public function setName(string $name):void
    {
        $this->name = $name;
    }



}



