<?php
declare(strict_types = 1);

namespace App\Users\Opus\AutoCompletes;

use Apex\Svc\Db;
use Apex\App\Interfaces\Opus\AutoCompleteInterface;

/**
 * Auto Complete - Find
 */
class Find implements AutoCompleteInterface
{

    #[Inject(Db::class)]
    private Db $db;

    /**
     * Search options
     *
     * @return Associative array of options to display within the auto-complete list.
     */
    public function search(string $term):array
    {

        // Initialize
        $options = [];
        $rows = $this->db->query("SELECT u.uuid,u.username,u.email,p.first_name,p.last_name FROM armor_users AS u, user_profiles AS p WHERE u.uuid = p.uuid AND u.type = 'user' AND (u.username LIKE %ls OR u.email LIKE %ls OR p.first_name LIKE %ls OR p.last_name = %ls) ORDER BY u.username", $term, $term, $term, $term);
        foreach ($rows as $row) { 
            $options[$row['uuid']] = $row['username'] . ' (' . $row['email'] . ')';
        }

        // Return
        return $options;
    }

}


