<?php
declare(strict_types = 1);

namespace App\Users\Opus\HtmlFunctions;

use Apex\Svc\{App, View};
use Apex\Syrus\Parser\StackElement;
use Apex\App\Interfaces\Opus\HtmlFunctionInterface;

/**
 * HTML Function - Profile
 */
class Profile implements HtmlFunctionInterface
{

    #[Inject(App::class)]
    private App $app;

    #[Inject(View::class)]
    private View $view;

    /**
     * Render
     *
     * @return The HTML code to replace the <s:function> tag with.
     */
    public function render(string $html, StackElement $e):string
    {

        // Check panel
        $is_modal = $e->getAttr('is_modal') ?? 0;
        $is_admin = $this->app->getArea() == 'admin' && $is_modal == 0 ? 1 : 0;
        $this->view->assign('is_admin', $is_admin);

        // Return
        return $this->view->renderBlock($html);
    }

}


