<?php
declare(strict_types = 1);

namespace App\Webapp\Models;

use Apex\App\Interfaces\Opus\DashboardItemInterface;

/**
 * Dashboard profile mode
 */
class DashboardProfile
{

    /**
     * Constructor
     */
    public function __construct(
        private int $profile_id,
        private array $top_items = [],
        private array $right_items = [],
        private array $tabs = []
    ) {

    }

    /**
     * Add top item
     */
    public function addTopItem(DashboardItemInterface $item):void
    {
        $this->top_items[] = $item;
    }

    /**
     * Add right item
     */
    public function addRightItem(DashboardItemInterface $item):void
    {
        $this->right_items[] = $item;
    }

    /**
     * Add tab
     */
    public function addTab(DashboardItemInterface $item):void
    {
        $this->tabs[] = $item;
    }

    /**
     * GEt top items
     */
    public function getTopItems():array
    {
        return $this->top_items;
    }

    /**
     * Get right items
     */
    public function getRightItems():array
    {
        return $this->right_items;
    }

    /**
     8 Get tabs
     */
    public function getTabs():array
    {
        return $this->tabs;
    }

}


