<?php
declare(strict_types=1);

namespace App\Webapp\Models;

use Apex\App\Base\Model\MagicModel;
use App\Webapp\Models\EmailQueue;
use DateTime;

/**
 * EmailAction Model
 */
class EmailAction extends MagicModel
{

    /**
     * Database table
     *
     * @var string
     */
    protected static string $dbtable = 'internal_email_notifications_actions';

    /**
     * Constructor
     */
    public function __construct(
        protected int $id,
        protected string $mhash,
        protected string $link_hash = '',
        protected string $action = 'open',
        protected string $ip_address = '',
        protected string $tracking_id = '',
        protected ?DateTime $created_at = null
    ) { 

    }

}

