<?php
declare(strict_types = 1);

namespace App\Webapp\Opus\Ajax;

use Apex\Svc\{App, Db};
use Apex\App\Base\Web\Ajax;
use Apex\App\Interfaces\Opus\AjaxInterface;

/**
 * Ajax - ClearAlerts
 */
class ClearAlerts extends Ajax implements AjaxInterface
{

    #[Inject(App::class)]
    private App $app;

    #[Inject(Db::class)]
    private Db $db;

    /**
     * Process AJAX function
     */
    public function process():void
    {

        // Check for authentication
        if (!$this->app->isAuth()) {
            return;
        }

        // Initialize
        $type = $this->app->post('type', 'alert');
        $divid = $this->app->post('divid', 'dropdown_alerts');

        // Delete alerts
        $this->db->query("DELETE FROM alerts WHERE uuid = %s AND type = %s", $this->app->getUuid(), $type);
        $this->clearList($divid);
    }

}


