<?php
declare(strict_types = 1);

namespace App\Webapp\Opus\Ajax;

use Apex\Svc\{App, Db};
use Apex\App\Base\Web\Ajax;
use Apex\App\Interfaces\Opus\AjaxInterface;

/**
 * Ajax - ReadAlerts
 */
class ReadAlerts extends Ajax implements AjaxInterface
{

    #[Inject(App::class)]
    private App $app;

    #[Inject(Db::class)]
    private Db $db;

    /**
     * Process AJAX function
     */
    public function process():void
    {

        // Check if authenticated
        if (!$this->app->isAuth()) {
            return;
        }

        // Update database
        $type = $this->app->post('type', 'alert');
        $this->db->query("UPDATE alerts SET is_read = %b WHERE uuid = %s AND type = %s", true, $this->app->getUuid(), $type);

    }

}


