<?php
declare(strict_types = 1);

namespace Apex\App\Base\Lists;

/**
 * Country list
 */
class CountryList
{

    public static array $opt = [
        'AX' => ['name' => '?land Islands', 'currency' => 'EUR', 'timezone' => 'FDT', 'calling_code' => '', 'tld' => '.ax'],
        'AF' => ['name' => 'Afghanistan', 'currency' => 'AFN', 'timezone' => 'AST', 'calling_code' => '93', 'tld' => '.af'],
        'AL' => ['name' => 'Albania', 'currency' => 'ALL', 'timezone' => 'CEST', 'calling_code' => '355', 'tld' => '.al'],
        'DZ' => ['name' => 'Algeria', 'currency' => 'DZD', 'timezone' => 'WCAST', 'calling_code' => '213', 'tld' => '.dz'],
        'AS' => ['name' => 'American Samoa', 'currency' => 'USD', 'timezone' => 'U', 'calling_code' => '1684', 'tld' => '.as'],
        'AD' => ['name' => 'Andorra', 'currency' => 'EUR', 'timezone' => 'WEDT', 'calling_code' => '376', 'tld' => '.ad'],
        'AO' => ['name' => 'Angola', 'currency' => 'AOA', 'timezone' => 'WCAST', 'calling_code' => '244', 'tld' => '.ao'],
        'AI' => ['name' => 'Anguilla', 'currency' => 'XCD', 'timezone' => 'SWST', 'calling_code' => '1264', 'tld' => '.ai'],
        'AQ' => ['name' => 'Antarctica', 'currency' => '', 'timezone' => 'EST', 'calling_code' => '672', 'tld' => '.aq'],
        'AG' => ['name' => 'Antigua and Barbuda', 'currency' => 'XCD', 'timezone' => 'EST', 'calling_code' => '1268', 'tld' => '.ag'],
        'AR' => ['name' => 'Argentina', 'currency' => 'ARS', 'timezone' => 'AST', 'calling_code' => '54', 'tld' => '.ar'],
        'AM' => ['name' => 'Armenia', 'currency' => 'AMD', 'timezone' => 'CST', 'calling_code' => '374', 'tld' => '.am'],
        'AW' => ['name' => 'Aruba', 'currency' => 'AWG', 'timezone' => 'SWST', 'calling_code' => '297', 'tld' => '.aw'],
        'AU' => ['name' => 'Australia', 'currency' => 'AUD', 'timezone' => 'AEST', 'calling_code' => '61', 'tld' => '.au'],
        'AT' => ['name' => 'Austria', 'currency' => 'EUR', 'timezone' => 'WEDT', 'calling_code' => '43', 'tld' => '.at'],
        'AZ' => ['name' => 'Azerbaijan', 'currency' => 'AZN', 'timezone' => 'ADT', 'calling_code' => '994', 'tld' => '.az'],
        'BS' => ['name' => 'Bahamas', 'currency' => 'BSD', 'timezone' => 'EDT', 'calling_code' => '1242', 'tld' => '.bs'],
        'BH' => ['name' => 'Bahrain', 'currency' => 'BHD', 'timezone' => 'AST', 'calling_code' => '973', 'tld' => '.bh'],
        'BD' => ['name' => 'Bangladesh', 'currency' => 'BDT', 'timezone' => 'BST', 'calling_code' => '880', 'tld' => '.bd'],
        'BB' => ['name' => 'Barbados', 'currency' => 'BBD', 'timezone' => 'SWST', 'calling_code' => '1246', 'tld' => '.bb'],
        'BY' => ['name' => 'Belarus', 'currency' => 'BYN', 'timezone' => 'KST', 'calling_code' => '375', 'tld' => '.by'],
        'BE' => ['name' => 'Belgium', 'currency' => 'EUR', 'timezone' => 'RDT', 'calling_code' => '32', 'tld' => '.be'],
        'BZ' => ['name' => 'Belize', 'currency' => 'BZD', 'timezone' => 'CAST', 'calling_code' => '501', 'tld' => '.bz'],
        'BJ' => ['name' => 'Benin', 'currency' => 'XOF', 'timezone' => 'WCAST', 'calling_code' => '229', 'tld' => '.bj'],
        'BM' => ['name' => 'Bermuda', 'currency' => 'BMD', 'timezone' => 'ADT', 'calling_code' => '1441', 'tld' => '.bm'],
        'BT' => ['name' => 'Bhutan', 'currency' => 'BTN', 'timezone' => 'BST', 'calling_code' => '975', 'tld' => '.bt'],
        'BO' => ['name' => 'Bolivia', 'currency' => 'BOB', 'timezone' => 'EST', 'calling_code' => '591', 'tld' => '.bo'],
        'BA' => ['name' => 'Bosnia and Herzegovina', 'currency' => 'BAM', 'timezone' => 'CEDT', 'calling_code' => '387', 'tld' => '.ba'],
        'BW' => ['name' => 'Botswana', 'currency' => 'BWP', 'timezone' => 'SAST', 'calling_code' => '267', 'tld' => '.bw'],
        'BV' => ['name' => 'Bouvet Island', 'currency' => 'NOK', 'timezone' => 'EST', 'calling_code' => '', 'tld' => '.bv'],
        'BR' => ['name' => 'Brazil', 'currency' => 'BRL', 'timezone' => 'EST', 'calling_code' => '55', 'tld' => '.br'],
        'IO' => ['name' => 'British Indian Ocean Territory', 'currency' => 'USD', 'timezone' => 'EST', 'calling_code' => '', 'tld' => '.io'],
        'VG' => ['name' => 'British Virgin Islands', 'currency' => 'USD', 'timezone' => 'EST', 'calling_code' => '1284', 'tld' => '.vg'],
        'BN' => ['name' => 'Brunei', 'currency' => 'BND', 'timezone' => 'MPST', 'calling_code' => '673', 'tld' => '.bn'],
        'BG' => ['name' => 'Bulgaria', 'currency' => 'BGN', 'timezone' => 'FDT', 'calling_code' => '359', 'tld' => '.bg'],
        'BF' => ['name' => 'Burkina Faso', 'currency' => 'XOF', 'timezone' => 'GST', 'calling_code' => '226', 'tld' => '.bf'],
        'BI' => ['name' => 'Burundi', 'currency' => 'BIF', 'timezone' => 'SAST', 'calling_code' => '257', 'tld' => '.bi'],
        'KH' => ['name' => 'Cambodia', 'currency' => 'KHR', 'timezone' => 'SAST', 'calling_code' => '855', 'tld' => '.kh'],
        'CM' => ['name' => 'Cameroon', 'currency' => 'XAF', 'timezone' => 'EST', 'calling_code' => '237', 'tld' => '.cm'],
        'CA' => ['name' => 'Canada', 'currency' => 'CAD', 'timezone' => 'EST', 'calling_code' => '1', 'tld' => '.ca'],
        'CV' => ['name' => 'Cape Verde', 'currency' => 'CVE', 'timezone' => 'CVST', 'calling_code' => '238', 'tld' => '.cv'],
        'BQ' => ['name' => 'Caribbean Netherlands', 'currency' => 'USD', 'timezone' => 'EST', 'calling_code' => '', 'tld' => '.bq'],
        'KY' => ['name' => 'Cayman Islands', 'currency' => 'KYD', 'timezone' => 'EST', 'calling_code' => '1345', 'tld' => '.ky'],
        'CF' => ['name' => 'Central African Republic', 'currency' => 'XAF', 'timezone' => 'WCAST', 'calling_code' => '236', 'tld' => '.cf'],
        'TD' => ['name' => 'Chad', 'currency' => 'XAF', 'timezone' => 'EST', 'calling_code' => '235', 'tld' => '.td'],
        'CL' => ['name' => 'Chile', 'currency' => 'CLF', 'timezone' => 'PSST', 'calling_code' => '56', 'tld' => '.cl'],
        'CN' => ['name' => 'China', 'currency' => 'CNY', 'timezone' => 'CST', 'calling_code' => '86', 'tld' => '.cn'],
        'CX' => ['name' => 'Christmas Island', 'currency' => 'AUD', 'timezone' => 'EST', 'calling_code' => '61', 'tld' => '.cx'],
        'CC' => ['name' => 'Cocos (Keeling) Islands', 'currency' => 'AUD', 'timezone' => 'EST', 'calling_code' => '61', 'tld' => '.cc'],
        'CO' => ['name' => 'Colombia', 'currency' => 'COP', 'timezone' => 'EST', 'calling_code' => '57', 'tld' => '.co'],
        'KM' => ['name' => 'Comoros', 'currency' => 'KMF', 'timezone' => 'EST', 'calling_code' => '269', 'tld' => '.km'],
        'CK' => ['name' => 'Cook Islands', 'currency' => 'NZD', 'timezone' => 'EST', 'calling_code' => '682', 'tld' => '.ck'],
        'CR' => ['name' => 'Costa Rica', 'currency' => 'CRC', 'timezone' => 'CAST', 'calling_code' => '506', 'tld' => '.cr'],
        'HR' => ['name' => 'Croatia', 'currency' => 'HRK', 'timezone' => 'CEDT', 'calling_code' => '385', 'tld' => '.hr'],
        'CU' => ['name' => 'Cuba', 'currency' => 'CUC', 'timezone' => 'EDT', 'calling_code' => '53', 'tld' => '.cu'],
        'CW' => ['name' => 'Cura?ao', 'currency' => 'ANG', 'timezone' => 'EST', 'calling_code' => '', 'tld' => '.cw'],
        'CY' => ['name' => 'Cyprus', 'currency' => 'EUR', 'timezone' => 'EEDT', 'calling_code' => '357', 'tld' => '.cy'],
        'CZ' => ['name' => 'Czechia', 'currency' => 'CZK', 'timezone' => 'CEDT', 'calling_code' => '420', 'tld' => '.cz'],
        'CD' => ['name' => 'DR Congo', 'currency' => 'CDF', 'timezone' => 'WCAST', 'calling_code' => '243', 'tld' => '.cd'],
        'DK' => ['name' => 'Denmark', 'currency' => 'DKK', 'timezone' => 'RDT', 'calling_code' => '45', 'tld' => '.dk'],
        'DJ' => ['name' => 'Djibouti', 'currency' => 'DJF', 'timezone' => 'EAST', 'calling_code' => '253', 'tld' => '.dj'],
        'DM' => ['name' => 'Dominica', 'currency' => 'XCD', 'timezone' => 'SWST', 'calling_code' => '1767', 'tld' => '.dm'],
        'DO' => ['name' => 'Dominican Republic', 'currency' => 'DOP', 'timezone' => 'SWST', 'calling_code' => '1809', 'tld' => '.do'],
        'EC' => ['name' => 'Ecuador', 'currency' => 'USD', 'timezone' => 'SPST', 'calling_code' => '593', 'tld' => '.ec'],
        'EG' => ['name' => 'Egypt', 'currency' => 'EGP', 'timezone' => 'EST', 'calling_code' => '20', 'tld' => '.eg'],
        'SV' => ['name' => 'El Salvador', 'currency' => 'SVC', 'timezone' => 'CAST', 'calling_code' => '503', 'tld' => '.sv'],
        'GQ' => ['name' => 'Equatorial Guinea', 'currency' => 'XAF', 'timezone' => 'WCAST', 'calling_code' => '240', 'tld' => '.gq'],
        'ER' => ['name' => 'Eritrea', 'currency' => 'ERN', 'timezone' => 'EST', 'calling_code' => '291', 'tld' => '.er'],
        'EE' => ['name' => 'Estonia', 'currency' => 'EUR', 'timezone' => 'FDT', 'calling_code' => '372', 'tld' => '.ee'],
        'ET' => ['name' => 'Ethiopia', 'currency' => 'ETB', 'timezone' => 'EAST', 'calling_code' => '251', 'tld' => '.et'],
        'FK' => ['name' => 'Falkland Islands', 'currency' => 'FKP', 'timezone' => 'SEST', 'calling_code' => '500', 'tld' => '.fk'],
        'FO' => ['name' => 'Faroe Islands', 'currency' => 'DKK', 'timezone' => 'EST', 'calling_code' => '298', 'tld' => '.fo'],
        'FJ' => ['name' => 'Fiji', 'currency' => 'FJD', 'timezone' => 'FST', 'calling_code' => '679', 'tld' => '.fj'],
        'FI' => ['name' => 'Finland', 'currency' => 'EUR', 'timezone' => 'FDT', 'calling_code' => '358', 'tld' => '.fi'],
        'FR' => ['name' => 'France', 'currency' => 'EUR', 'timezone' => 'RDT', 'calling_code' => '33', 'tld' => '.fr'],
        'GF' => ['name' => 'French Guiana', 'currency' => 'EUR', 'timezone' => 'SEST', 'calling_code' => '', 'tld' => '.gf'],
        'PF' => ['name' => 'French Polynesia', 'currency' => 'XPF', 'timezone' => 'EST', 'calling_code' => '689', 'tld' => '.pf'],
        'TF' => ['name' => 'French Southern and Antarctic Lands', 'currency' => 'EUR', 'timezone' => 'EST', 'calling_code' => '', 'tld' => '.tf'],
        'GA' => ['name' => 'Gabon', 'currency' => 'XAF', 'timezone' => 'WCAST', 'calling_code' => '241', 'tld' => '.ga'],
        'GM' => ['name' => 'Gambia', 'currency' => 'GMD', 'timezone' => 'GST', 'calling_code' => '220', 'tld' => '.gm'],
        'GE' => ['name' => 'Georgia', 'currency' => 'GEL', 'timezone' => 'GST', 'calling_code' => '995', 'tld' => '.ge'],
        'DE' => ['name' => 'Germany', 'currency' => 'EUR', 'timezone' => 'WEDT', 'calling_code' => '49', 'tld' => '.de'],
        'GH' => ['name' => 'Ghana', 'currency' => 'GHS', 'timezone' => 'GST', 'calling_code' => '233', 'tld' => '.gh'],
        'GI' => ['name' => 'Gibraltar', 'currency' => 'GIP', 'timezone' => 'WEDT', 'calling_code' => '350', 'tld' => '.gi'],
        'GR' => ['name' => 'Greece', 'currency' => 'EUR', 'timezone' => 'EEDT', 'calling_code' => '30', 'tld' => '.gr'],
        'GL' => ['name' => 'Greenland', 'currency' => 'DKK', 'timezone' => 'GDT', 'calling_code' => '299', 'tld' => '.gl'],
        'GD' => ['name' => 'Grenada', 'currency' => 'XCD', 'timezone' => 'SWST', 'calling_code' => '1473', 'tld' => '.gd'],
        'GP' => ['name' => 'Guadeloupe', 'currency' => 'EUR', 'timezone' => 'SWST', 'calling_code' => '', 'tld' => '.gp'],
        'GU' => ['name' => 'Guam', 'currency' => 'USD', 'timezone' => 'WPST', 'calling_code' => '1671', 'tld' => '.gu'],
        'GT' => ['name' => 'Guatemala', 'currency' => 'GTQ', 'timezone' => 'CAST', 'calling_code' => '502', 'tld' => '.gt'],
        'GG' => ['name' => 'Guernsey', 'currency' => 'GBP', 'timezone' => 'GDT', 'calling_code' => '', 'tld' => '.gg'],
        'GN' => ['name' => 'Guinea', 'currency' => 'GNF', 'timezone' => 'GST', 'calling_code' => '224', 'tld' => '.gn'],
        'GW' => ['name' => 'Guinea-Bissau', 'currency' => 'XOF', 'timezone' => 'GST', 'calling_code' => '245', 'tld' => '.gw'],
        'GY' => ['name' => 'Guyana', 'currency' => 'GYD', 'timezone' => 'SWST', 'calling_code' => '592', 'tld' => '.gy'],
        'HT' => ['name' => 'Haiti', 'currency' => 'HTG', 'timezone' => 'EDT', 'calling_code' => '509', 'tld' => '.ht'],
        'HM' => ['name' => 'Heard Island and McDonald Islands', 'currency' => 'AUD', 'timezone' => 'EST', 'calling_code' => '', 'tld' => '.hm'],
        'HN' => ['name' => 'Honduras', 'currency' => 'HNL', 'timezone' => 'CAST', 'calling_code' => '504', 'tld' => '.hn'],
        'HK' => ['name' => 'Hong Kong', 'currency' => 'HKD', 'timezone' => 'CST', 'calling_code' => '852', 'tld' => '.hk'],
        'HU' => ['name' => 'Hungary', 'currency' => 'HUF', 'timezone' => 'CEDT', 'calling_code' => '36', 'tld' => '.hu'],
        'IS' => ['name' => 'Iceland', 'currency' => 'ISK', 'timezone' => 'GST', 'calling_code' => '354', 'tld' => '.is'],
        'IN' => ['name' => 'India', 'currency' => 'INR', 'timezone' => 'IST', 'calling_code' => '91', 'tld' => '.in'],
        'ID' => ['name' => 'Indonesia', 'currency' => 'IDR', 'timezone' => 'SAST', 'calling_code' => '62', 'tld' => '.id'],
        'IR' => ['name' => 'Iran', 'currency' => 'IRR', 'timezone' => 'IDT', 'calling_code' => '98', 'tld' => '.ir'],
        'IQ' => ['name' => 'Iraq', 'currency' => 'IQD', 'timezone' => 'AST', 'calling_code' => '964', 'tld' => '.iq'],
        'IE' => ['name' => 'Ireland', 'currency' => 'EUR', 'timezone' => 'GDT', 'calling_code' => '353', 'tld' => '.ie'],
        'IM' => ['name' => 'Isle of Man', 'currency' => 'GBP', 'timezone' => 'GDT', 'calling_code' => '44', 'tld' => '.im'],
        'IL' => ['name' => 'Israel', 'currency' => 'ILS', 'timezone' => 'JDT', 'calling_code' => '972', 'tld' => '.il'],
        'IT' => ['name' => 'Italy', 'currency' => 'EUR', 'timezone' => 'WEDT', 'calling_code' => '39', 'tld' => '.it'],
        'CI' => ['name' => 'Ivory Coast', 'currency' => 'XOF', 'timezone' => 'EST', 'calling_code' => '225', 'tld' => '.ci'],
        'JM' => ['name' => 'Jamaica', 'currency' => 'JMD', 'timezone' => 'SPST', 'calling_code' => '1876', 'tld' => '.jm'],
        'JP' => ['name' => 'Japan', 'currency' => 'JPY', 'timezone' => 'TST', 'calling_code' => '81', 'tld' => '.jp'],
        'JE' => ['name' => 'Jersey', 'currency' => 'GBP', 'timezone' => 'GDT', 'calling_code' => '', 'tld' => '.je'],
        'JO' => ['name' => 'Jordan', 'currency' => 'JOD', 'timezone' => 'JST', 'calling_code' => '962', 'tld' => '.jo'],
        'KZ' => ['name' => 'Kazakhstan', 'currency' => 'KZT', 'timezone' => 'CAST', 'calling_code' => '7', 'tld' => '.kz'],
        'KE' => ['name' => 'Kenya', 'currency' => 'KES', 'timezone' => 'EAST', 'calling_code' => '254', 'tld' => '.ke'],
        'KI' => ['name' => 'Kiribati', 'currency' => 'AUD', 'timezone' => 'EST', 'calling_code' => '686', 'tld' => '.ki'],
        'XK' => ['name' => 'Kosovo', 'currency' => 'EUR', 'timezone' => 'EST', 'calling_code' => '381', 'tld' => ''],
        'KW' => ['name' => 'Kuwait', 'currency' => 'KWD', 'timezone' => 'AST', 'calling_code' => '965', 'tld' => '.kw'],
        'KG' => ['name' => 'Kyrgyzstan', 'currency' => 'KGS', 'timezone' => 'CAST', 'calling_code' => '996', 'tld' => '.kg'],
        'LA' => ['name' => 'Laos', 'currency' => 'LAK', 'timezone' => 'SAST', 'calling_code' => '856', 'tld' => '.la'],
        'LV' => ['name' => 'Latvia', 'currency' => 'EUR', 'timezone' => 'FDT', 'calling_code' => '371', 'tld' => '.lv'],
        'LB' => ['name' => 'Lebanon', 'currency' => 'LBP', 'timezone' => 'MEDT', 'calling_code' => '961', 'tld' => '.lb'],
        'LS' => ['name' => 'Lesotho', 'currency' => 'LSL', 'timezone' => 'SAST', 'calling_code' => '266', 'tld' => '.ls'],
        'LR' => ['name' => 'Liberia', 'currency' => 'LRD', 'timezone' => 'GST', 'calling_code' => '231', 'tld' => '.lr'],
        'LY' => ['name' => 'Libya', 'currency' => 'LYD', 'timezone' => 'LST', 'calling_code' => '218', 'tld' => '.ly'],
        'LI' => ['name' => 'Liechtenstein', 'currency' => 'CHF', 'timezone' => 'WEDT', 'calling_code' => '423', 'tld' => '.li'],
        'LT' => ['name' => 'Lithuania', 'currency' => 'EUR', 'timezone' => 'FDT', 'calling_code' => '370', 'tld' => '.lt'],
        'LU' => ['name' => 'Luxembourg', 'currency' => 'EUR', 'timezone' => 'WEDT', 'calling_code' => '352', 'tld' => '.lu'],
        'MO' => ['name' => 'Macau', 'currency' => 'MOP', 'timezone' => 'CST', 'calling_code' => '853', 'tld' => '.mo'],
        'MK' => ['name' => 'Macedonia', 'currency' => 'MKD', 'timezone' => 'CEDT', 'calling_code' => '389', 'tld' => '.mk'],
        'MG' => ['name' => 'Madagascar', 'currency' => 'MGA', 'timezone' => 'EAST', 'calling_code' => '261', 'tld' => '.mg'],
        'MW' => ['name' => 'Malawi', 'currency' => 'MWK', 'timezone' => 'EST', 'calling_code' => '265', 'tld' => '.mw'],
        'MY' => ['name' => 'Malaysia', 'currency' => 'MYR', 'timezone' => 'MPST', 'calling_code' => '60', 'tld' => '.my'],
        'MV' => ['name' => 'Maldives', 'currency' => 'MVR', 'timezone' => 'WAST', 'calling_code' => '960', 'tld' => '.mv'],
        'ML' => ['name' => 'Mali', 'currency' => 'XOF', 'timezone' => 'GST', 'calling_code' => '223', 'tld' => '.ml'],
        'MT' => ['name' => 'Malta', 'currency' => 'EUR', 'timezone' => 'WEDT', 'calling_code' => '356', 'tld' => '.mt'],
        'MH' => ['name' => 'Marshall Islands', 'currency' => 'USD', 'timezone' => 'U', 'calling_code' => '692', 'tld' => '.mh'],
        'MQ' => ['name' => 'Martinique', 'currency' => 'EUR', 'timezone' => 'SWST', 'calling_code' => '', 'tld' => '.mq'],
        'MR' => ['name' => 'Mauritania', 'currency' => 'MRO', 'timezone' => 'GST', 'calling_code' => '222', 'tld' => '.mr'],
        'MU' => ['name' => 'Mauritius', 'currency' => 'MUR', 'timezone' => 'MST', 'calling_code' => '230', 'tld' => '.mu'],
        'YT' => ['name' => 'Mayotte', 'currency' => 'EUR', 'timezone' => 'EAST', 'calling_code' => '262', 'tld' => '.yt'],
        'MX' => ['name' => 'Mexico', 'currency' => 'MXN', 'timezone' => 'CDT', 'calling_code' => '52', 'tld' => '.mx'],
        'FM' => ['name' => 'Micronesia', 'currency' => 'USD', 'timezone' => 'EST', 'calling_code' => '691', 'tld' => '.fm'],
        'MD' => ['name' => 'Moldova', 'currency' => 'MDL', 'timezone' => 'EST', 'calling_code' => '373', 'tld' => '.md'],
        'MC' => ['name' => 'Monaco', 'currency' => 'EUR', 'timezone' => 'WEDT', 'calling_code' => '377', 'tld' => '.mc'],
        'MN' => ['name' => 'Mongolia', 'currency' => 'MNT', 'timezone' => 'EST', 'calling_code' => '976', 'tld' => '.mn'],
        'ME' => ['name' => 'Montenegro', 'currency' => 'EUR', 'timezone' => 'CEDT', 'calling_code' => '382', 'tld' => '.me'],
        'MS' => ['name' => 'Montserrat', 'currency' => 'XCD', 'timezone' => 'SWST', 'calling_code' => '1664', 'tld' => '.ms'],
        'MA' => ['name' => 'Morocco', 'currency' => 'MAD', 'timezone' => 'EST', 'calling_code' => '212', 'tld' => '.ma'],
        'MZ' => ['name' => 'Mozambique', 'currency' => 'MZN', 'timezone' => 'SAST', 'calling_code' => '258', 'tld' => '.mz'],
        'MM' => ['name' => 'Myanmar', 'currency' => 'MMK', 'timezone' => 'EST', 'calling_code' => '95', 'tld' => '.mm'],
        'NA' => ['name' => 'Namibia', 'currency' => 'NAD', 'timezone' => 'NST', 'calling_code' => '264', 'tld' => '.na'],
        'NR' => ['name' => 'Nauru', 'currency' => 'AUD', 'timezone' => 'U', 'calling_code' => '674', 'tld' => '.nr'],
        'NP' => ['name' => 'Nepal', 'currency' => 'NPR', 'timezone' => 'NST', 'calling_code' => '977', 'tld' => '.np'],
        'NL' => ['name' => 'Netherlands', 'currency' => 'EUR', 'timezone' => 'WEDT', 'calling_code' => '31', 'tld' => '.nl'],
        'NC' => ['name' => 'New Caledonia', 'currency' => 'XPF', 'timezone' => 'CPST', 'calling_code' => '687', 'tld' => '.nc'],
        'NZ' => ['name' => 'New Zealand', 'currency' => 'NZD', 'timezone' => 'NZST', 'calling_code' => '64', 'tld' => '.nz'],
        'NI' => ['name' => 'Nicaragua', 'currency' => 'NIO', 'timezone' => 'CAST', 'calling_code' => '505', 'tld' => '.ni'],
        'NE' => ['name' => 'Niger', 'currency' => 'XOF', 'timezone' => 'WCAST', 'calling_code' => '227', 'tld' => '.ne'],
        'NG' => ['name' => 'Nigeria', 'currency' => 'NGN', 'timezone' => 'EST', 'calling_code' => '234', 'tld' => '.ng'],
        'NU' => ['name' => 'Niue', 'currency' => 'NZD', 'timezone' => 'U', 'calling_code' => '683', 'tld' => '.nu'],
        'NF' => ['name' => 'Norfolk Island', 'currency' => 'AUD', 'timezone' => 'EST', 'calling_code' => '', 'tld' => '.nf'],
        'KP' => ['name' => 'North Korea', 'currency' => 'KPW', 'timezone' => 'KST', 'calling_code' => '850', 'tld' => '.kp'],
        'MP' => ['name' => 'Northern Mariana Islands', 'currency' => 'USD', 'timezone' => 'WPST', 'calling_code' => '1670', 'tld' => '.mp'],
        'NO' => ['name' => 'Norway', 'currency' => 'NOK', 'timezone' => 'WEDT', 'calling_code' => '47', 'tld' => '.no'],
        'OM' => ['name' => 'Oman', 'currency' => 'OMR', 'timezone' => 'AST', 'calling_code' => '968', 'tld' => '.om'],
        'PK' => ['name' => 'Pakistan', 'currency' => 'PKR', 'timezone' => 'PKT', 'calling_code' => '92', 'tld' => '.pk'],
        'PW' => ['name' => 'Palau', 'currency' => 'USD', 'timezone' => 'TST', 'calling_code' => '680', 'tld' => '.pw'],
        'PS' => ['name' => 'Palestine', 'currency' => 'ILS', 'timezone' => 'EST', 'calling_code' => '', 'tld' => '.ps'],
        'PA' => ['name' => 'Panama', 'currency' => 'PAB', 'timezone' => 'SPST', 'calling_code' => '507', 'tld' => '.pa'],
        'PG' => ['name' => 'Papua New Guinea', 'currency' => 'PGK', 'timezone' => 'WPST', 'calling_code' => '675', 'tld' => '.pg'],
        'PY' => ['name' => 'Paraguay', 'currency' => 'PYG', 'timezone' => 'EST', 'calling_code' => '595', 'tld' => '.py'],
        'PE' => ['name' => 'Peru', 'currency' => 'PEN', 'timezone' => 'SPST', 'calling_code' => '51', 'tld' => '.pe'],
        'PH' => ['name' => 'Philippines', 'currency' => 'PHP', 'timezone' => 'MPST', 'calling_code' => '63', 'tld' => '.ph'],
        'PN' => ['name' => 'Pitcairn Islands', 'currency' => 'NZD', 'timezone' => 'EST', 'calling_code' => '870', 'tld' => '.pn'],
        'PL' => ['name' => 'Poland', 'currency' => 'PLN', 'timezone' => 'CEDT', 'calling_code' => '48', 'tld' => '.pl'],
        'PT' => ['name' => 'Portugal', 'currency' => 'EUR', 'timezone' => 'GDT', 'calling_code' => '351', 'tld' => '.pt'],
        'PR' => ['name' => 'Puerto Rico', 'currency' => 'USD', 'timezone' => 'SWST', 'calling_code' => '1', 'tld' => '.pr'],
        'QA' => ['name' => 'Qatar', 'currency' => 'QAR', 'timezone' => 'AST', 'calling_code' => '974', 'tld' => '.qa'],
        'RE' => ['name' => 'R?union', 'currency' => 'EUR', 'timezone' => 'EST', 'calling_code' => '', 'tld' => '.re'],
        'CG' => ['name' => 'Republic of the Congo', 'currency' => 'XAF', 'timezone' => 'WCAST', 'calling_code' => '242', 'tld' => '.cg'],
        'RO' => ['name' => 'Romania', 'currency' => 'RON', 'timezone' => 'EEDT', 'calling_code' => '40', 'tld' => '.ro'],
        'RU' => ['name' => 'Russia', 'currency' => 'RUB', 'timezone' => 'MSK', 'calling_code' => '7', 'tld' => '.ru'],
        'RW' => ['name' => 'Rwanda', 'currency' => 'RWF', 'timezone' => 'SAST', 'calling_code' => '250', 'tld' => '.rw'],
        'ST' => ['name' => 'S?o Tom? and Pr?ncipe', 'currency' => 'STD', 'timezone' => 'EST', 'calling_code' => '239', 'tld' => '.st'],
        'BL' => ['name' => 'Saint Barth?lemy', 'currency' => 'EUR', 'timezone' => 'EST', 'calling_code' => '590', 'tld' => '.bl'],
        'SH' => ['name' => 'Saint Helena, Ascension and Tristan da Cunha', 'currency' => 'SHP', 'timezone' => 'EST', 'calling_code' => '290', 'tld' => '.sh'],
        'KN' => ['name' => 'Saint Kitts and Nevis', 'currency' => 'XCD', 'timezone' => 'EST', 'calling_code' => '1869', 'tld' => '.kn'],
        'LC' => ['name' => 'Saint Lucia', 'currency' => 'XCD', 'timezone' => 'EST', 'calling_code' => '1758', 'tld' => '.lc'],
        'MF' => ['name' => 'Saint Martin', 'currency' => 'EUR', 'timezone' => 'SWST', 'calling_code' => '1599', 'tld' => '.fr'],
        'PM' => ['name' => 'Saint Pierre and Miquelon', 'currency' => 'EUR', 'timezone' => 'EST', 'calling_code' => '508', 'tld' => '.pm'],
        'VC' => ['name' => 'Saint Vincent and the Grenadines', 'currency' => 'XCD', 'timezone' => 'EST', 'calling_code' => '1784', 'tld' => '.vc'],
        'WS' => ['name' => 'Samoa', 'currency' => 'WST', 'timezone' => 'SST', 'calling_code' => '685', 'tld' => '.ws'],
        'SM' => ['name' => 'San Marino', 'currency' => 'EUR', 'timezone' => 'WEDT', 'calling_code' => '378', 'tld' => '.sm'],
        'SA' => ['name' => 'Saudi Arabia', 'currency' => 'SAR', 'timezone' => 'AST', 'calling_code' => '966', 'tld' => '.sa'],
        'SN' => ['name' => 'Senegal', 'currency' => 'XOF', 'timezone' => 'GST', 'calling_code' => '221', 'tld' => '.sn'],
        'RS' => ['name' => 'Serbia', 'currency' => 'RSD', 'timezone' => 'CEDT', 'calling_code' => '381', 'tld' => '.rs'],
        'SC' => ['name' => 'Seychelles', 'currency' => 'SCR', 'timezone' => 'EST', 'calling_code' => '248', 'tld' => '.sc'],
        'SL' => ['name' => 'Sierra Leone', 'currency' => 'SLL', 'timezone' => 'GST', 'calling_code' => '232', 'tld' => '.sl'],
        'SG' => ['name' => 'Singapore', 'currency' => 'SGD', 'timezone' => 'MPST', 'calling_code' => '65', 'tld' => '.sg'],
        'SX' => ['name' => 'Sint Maarten', 'currency' => 'ANG', 'timezone' => 'EST', 'calling_code' => '', 'tld' => '.sx'],
        'SK' => ['name' => 'Slovakia', 'currency' => 'EUR', 'timezone' => 'CEDT', 'calling_code' => '421', 'tld' => '.sk'],
        'SI' => ['name' => 'Slovenia', 'currency' => 'EUR', 'timezone' => 'CEDT', 'calling_code' => '386', 'tld' => '.si'],
        'SB' => ['name' => 'Solomon Islands', 'currency' => 'SBD', 'timezone' => 'EST', 'calling_code' => '677', 'tld' => '.sb'],
        'SO' => ['name' => 'Somalia', 'currency' => 'SOS', 'timezone' => 'EAST', 'calling_code' => '252', 'tld' => '.so'],
        'ZA' => ['name' => 'South Africa', 'currency' => 'ZAR', 'timezone' => 'SAST', 'calling_code' => '27', 'tld' => '.za'],
        'GS' => ['name' => 'South Georgia', 'currency' => 'GBP', 'timezone' => 'U', 'calling_code' => '', 'tld' => '.gs'],
        'KR' => ['name' => 'South Korea', 'currency' => 'KRW', 'timezone' => 'KST', 'calling_code' => '82', 'tld' => '.kr'],
        'SS' => ['name' => 'South Sudan', 'currency' => 'SSP', 'timezone' => 'EAST', 'calling_code' => '', 'tld' => '.ss'],
        'ES' => ['name' => 'Spain', 'currency' => 'EUR', 'timezone' => 'RDT', 'calling_code' => '34', 'tld' => '.es'],
        'LK' => ['name' => 'Sri Lanka', 'currency' => 'LKR', 'timezone' => 'SLST', 'calling_code' => '94', 'tld' => '.lk'],
        'SD' => ['name' => 'Sudan', 'currency' => 'SDG', 'timezone' => 'EAST', 'calling_code' => '249', 'tld' => '.sd'],
        'SR' => ['name' => 'Suriname', 'currency' => 'SRD', 'timezone' => 'SEST', 'calling_code' => '597', 'tld' => '.sr'],
        'SJ' => ['name' => 'Svalbard and Jan Mayen', 'currency' => 'NOK', 'timezone' => 'WEDT', 'calling_code' => '', 'tld' => '.sj'],
        'SZ' => ['name' => 'Swaziland', 'currency' => 'SZL', 'timezone' => 'EST', 'calling_code' => '268', 'tld' => '.sz'],
        'SE' => ['name' => 'Sweden', 'currency' => 'SEK', 'timezone' => 'WEDT', 'calling_code' => '46', 'tld' => '.se'],
        'CH' => ['name' => 'Switzerland', 'currency' => 'CHE', 'timezone' => 'WEDT', 'calling_code' => '41', 'tld' => '.ch'],
        'SY' => ['name' => 'Syria', 'currency' => 'SYP', 'timezone' => 'SDT', 'calling_code' => '963', 'tld' => '.sy'],
        'TW' => ['name' => 'Taiwan', 'currency' => 'TWD', 'timezone' => 'TST', 'calling_code' => '886', 'tld' => '.tw'],
        'TJ' => ['name' => 'Tajikistan', 'currency' => 'TJS', 'timezone' => 'WAST', 'calling_code' => '992', 'tld' => '.tj'],
        'TZ' => ['name' => 'Tanzania', 'currency' => 'TZS', 'timezone' => 'EST', 'calling_code' => '255', 'tld' => '.tz'],
        'TH' => ['name' => 'Thailand', 'currency' => 'THB', 'timezone' => 'SAST', 'calling_code' => '66', 'tld' => '.th'],
        'TL' => ['name' => 'Timor-Leste', 'currency' => 'USD', 'timezone' => 'TST', 'calling_code' => '670', 'tld' => '.tl'],
        'TG' => ['name' => 'Togo', 'currency' => 'XOF', 'timezone' => 'EST', 'calling_code' => '228', 'tld' => '.tg'],
        'TK' => ['name' => 'Tokelau', 'currency' => 'NZD', 'timezone' => 'TST', 'calling_code' => '690', 'tld' => '.tk'],
        'TO' => ['name' => 'Tonga', 'currency' => 'TOP', 'timezone' => 'TST', 'calling_code' => '676', 'tld' => '.to'],
        'TT' => ['name' => 'Trinidad and Tobago', 'currency' => 'TTD', 'timezone' => 'SWST', 'calling_code' => '1868', 'tld' => '.tt'],
        'TN' => ['name' => 'Tunisia', 'currency' => 'TND', 'timezone' => 'WCAST', 'calling_code' => '216', 'tld' => '.tn'],
        'TR' => ['name' => 'Turkey', 'currency' => 'TRY', 'timezone' => 'EST', 'calling_code' => '90', 'tld' => '.tr'],
        'TM' => ['name' => 'Turkmenistan', 'currency' => 'TMT', 'timezone' => 'WAST', 'calling_code' => '993', 'tld' => '.tm'],
        'TC' => ['name' => 'Turks and Caicos Islands', 'currency' => 'USD', 'timezone' => 'EST', 'calling_code' => '1649', 'tld' => '.tc'],
        'TV' => ['name' => 'Tuvalu', 'currency' => 'AUD', 'timezone' => 'U', 'calling_code' => '688', 'tld' => '.tv'],
        'UG' => ['name' => 'Uganda', 'currency' => 'UGX', 'timezone' => 'EAST', 'calling_code' => '256', 'tld' => '.ug'],
        'UA' => ['name' => 'Ukraine', 'currency' => 'UAH', 'timezone' => 'FDT', 'calling_code' => '380', 'tld' => '.ua'],
        'AE' => ['name' => 'United Arab Emirates', 'currency' => 'AED', 'timezone' => 'AST', 'calling_code' => '971', 'tld' => '.ae'],
        'GB' => ['name' => 'United Kingdom', 'currency' => 'GBP', 'timezone' => 'GDT', 'calling_code' => '44', 'tld' => '.uk'],
        'US' => ['name' => 'United States', 'currency' => 'USD', 'timezone' => 'EST', 'calling_code' => '1', 'tld' => '.us'],
        'UM' => ['name' => 'United States Minor Outlying Islands', 'currency' => 'USD', 'timezone' => 'EST', 'calling_code' => '', 'tld' => '.us'],
        'VI' => ['name' => 'United States Virgin Islands', 'currency' => 'USD', 'timezone' => 'EST', 'calling_code' => '1340', 'tld' => '.vi'],
        'UY' => ['name' => 'Uruguay', 'currency' => 'UYI', 'timezone' => 'MST', 'calling_code' => '598', 'tld' => '.uy'],
        'UZ' => ['name' => 'Uzbekistan', 'currency' => 'UZS', 'timezone' => 'WAST', 'calling_code' => '998', 'tld' => '.uz'],
        'VU' => ['name' => 'Vanuatu', 'currency' => 'VUV', 'timezone' => 'EST', 'calling_code' => '678', 'tld' => '.vu'],
        'VA' => ['name' => 'Vatican City', 'currency' => 'EUR', 'timezone' => 'EST', 'calling_code' => '39', 'tld' => '.va'],
        'VE' => ['name' => 'Venezuela', 'currency' => 'VEF', 'timezone' => 'VST', 'calling_code' => '58', 'tld' => '.ve'],
        'VN' => ['name' => 'Vietnam', 'currency' => 'VND', 'timezone' => 'SAST', 'calling_code' => '84', 'tld' => '.vn'],
        'WF' => ['name' => 'Wallis and Futuna', 'currency' => 'XPF', 'timezone' => 'EST', 'calling_code' => '681', 'tld' => '.wf'],
        'EH' => ['name' => 'Western Sahara', 'currency' => 'MAD', 'timezone' => 'EST', 'calling_code' => '', 'tld' => '.eh'],
        'YE' => ['name' => 'Yemen', 'currency' => 'YER', 'timezone' => 'EST', 'calling_code' => '967', 'tld' => '.ye'],
        'ZM' => ['name' => 'Zambia', 'currency' => 'ZMW', 'timezone' => 'SAST', 'calling_code' => '260', 'tld' => '.zm'],
        'ZW' => ['name' => 'Zimbabwe', 'currency' => 'ZWL', 'timezone' => 'SAST', 'calling_code' => '263', 'tld' => '.zw']
    ];

}

