<?php
declare(strict_types = 1);

namespace Apex\App\Base\Lists;

/**
 * Language list
 */
class LanguageList
{


    // Set language options
    public static array $opt = [
        'ab' => ['name' => "Abkhaz"],
        'aa' => ['name' => "Afar"],
        'af' => ['name' => "Afrikaans"],
        'ak' => ['name' => "Akan"],
        'sq' => ['name' => "Albanian"],
        'am' => ['name' => "Amharic"],
        'ar' => ['name' => "Arabic"],
        'an' => ['name' => "Aragonese"],
        'hy' => ['name' => "Armenian"],
        'as' => ['name' => "Assamese"],
        'av' => ['name' => "Avaric"],
        'ae' => ['name' => "Avestan"],
        'ay' => ['name' => "Aymara"],
        'bm' => ['name' => "Bambara"],
        'ba' => ['name' => "Bashkir"],
        'eu' => ['name' => "Basque"],
        'be' => ['name' => "Belarusian"],
        'bn' => ['name' => "Bengali; Bangla"],
        'bh' => ['name' => "Bihari"],
        'bi' => ['name' => "Bislama"],
        'bs' => ['name' => "Bosnian"],
        'br' => ['name' => "Breton"],
        'bg' => ['name' => "Bulgarian"],
        'my' => ['name' => "Burmese"],
        'ca' => ['name' => "Catalan; Valencian"],
        'ch' => ['name' => "Chamorro"],
        'ce' => ['name' => "Chechen"],
        'ny' => ['name' => "Chichewa; Chewa; Nyanja"],
        'zh' => ['name' => "Chinese"],
        'cv' => ['name' => "Chuvash"],
        'kw' => ['name' => "Cornish"],
        'co' => ['name' => "Corsican"],
        'cr' => ['name' => "Cree"],
        'hr' => ['name' => "Croatian"],
        'cs' => ['name' => "Czech"],
        'da' => ['name' => "Danish"],
        'dv' => ['name' => "Divehi; Dhivehi; Maldivian;"],
        'nl' => ['name' => "Dutch"],
        'dz' => ['name' => "Dzongkha"],
        'en' => ['name' => "English"],
        'eo' => ['name' => "Esperanto"],
        'et' => ['name' => "Estonian"],
        'ee' => ['name' => "Ewe"],
        'fo' => ['name' => "Faroese"],
        'fj' => ['name' => "Fijian"],
        'fi' => ['name' => "Finnish"],
        'fr' => ['name' => "French"],
        'ff' => ['name' => "Fula; Fulah; Pulaar; Pular"],
        'gl' => ['name' => "Galician"],
        'lg' => ['name' => "Ganda"],
        'ka' => ['name' => "Georgian"],
        'de' => ['name' => "German"],
        'el' => ['name' => "Greek, Modern"],
        'gn' => ['name' => "Guaraní"],
        'gu' => ['name' => "Gujarati"],
        'ht' => ['name' => "Haitian; Haitian Creole"],
        'ha' => ['name' => "Hausa"],
        'he' => ['name' => "Hebrew (modern)"],
        'hz' => ['name' => "Herero"],
        'hi' => ['name' => "Hindi"],
        'ho' => ['name' => "Hiri Motu"],
        'hu' => ['name' => "Hungarian"],
        'is' => ['name' => "Icelandic"],
        'io' => ['name' => "Ido"],
        'ig' => ['name' => "Igbo"],
        'id' => ['name' => "Indonesian"],
        'ia' => ['name' => "Interlingua"],
        'ie' => ['name' => "Interlingue"],
        'iu' => ['name' => "Inuktitut"],
        'ik' => ['name' => "Inupiaq"],
        'ga' => ['name' => "Irish"],
        'it' => ['name' => "Italian"],
        'ja' => ['name' => "Japanese"],
        'jv' => ['name' => "Javanese"],
        'kl' => ['name' => "Kalaallisut, Greenlandic"],
        'kn' => ['name' => "Kannada"],
        'kr' => ['name' => "Kanuri"],
        'ks' => ['name' => "Kashmiri"],
        'kk' => ['name' => "Kazakh"],
        'km' => ['name' => "Khmer"],
        'ki' => ['name' => "Kikuyu, Gikuyu"],
        'rw' => ['name' => "Kinyarwanda"],
        'rn' => ['name' => "Kirundi"],
        'kv' => ['name' => "Komi"],
        'kg' => ['name' => "Kongo"],
        'ko' => ['name' => "Korean"],
        'ku' => ['name' => "Kurdish"],
        'kj' => ['name' => "Kwanyama, Kuanyama"],
        'ky' => ['name' => "Kyrgyz"],
        'lo' => ['name' => "Lao"],
        'la' => ['name' => "Latin"],
        'lv' => ['name' => "Latvian"],
        'li' => ['name' => "Limburgish, Limburgan, Limburger"],
        'ln' => ['name' => "Lingala"],
        'lt' => ['name' => "Lithuanian"],
        'lu' => ['name' => "Luba-Katanga"],
        'lb' => ['name' => "Luxembourgish, Letzeburgesch"],
        'mi' => ['name' => "M?ori"],
        'mk' => ['name' => "Macedonian"],
        'mg' => ['name' => "Malagasy"],
        'ms' => ['name' => "Malay"],
        'ml' => ['name' => "Malayalam"],
        'mt' => ['name' => "Maltese"],
        'gv' => ['name' => "Manx"],
        'mr' => ['name' => "Marathi (Mar?ṭhī)"],
        'mh' => ['name' => "Marshallese"],
        'mn' => ['name' => "Mongolian"],
        'na' => ['name' => "Nauru"],
        'nv' => ['name' => "Navajo, Navaho"],
        'ng' => ['name' => "Ndonga"],
        'ne' => ['name' => "Nepali"],
        'nd' => ['name' => "North Ndebele"],
        'se' => ['name' => "Northern Sami"],
        'no' => ['name' => "Norwegian"],
        'nb' => ['name' => "Norwegian Bokmål"],
        'nn' => ['name' => "Norwegian Nynorsk"],
        'ii' => ['name' => "Nuosu"],
        'oc' => ['name' => "Occitan"],
        'oj' => ['name' => "Ojibwe, Ojibwa"],
        'cu' => ['name' => "Old Church Slavonic, Church Slavic, Church Slavonic, Old Bulgarian, Old Slavonic"],
        'or' => ['name' => "Oriya"],
        'om' => ['name' => "Oromo"],
        'os' => ['name' => "Ossetian, Ossetic"],
        'pi' => ['name' => "P?li"],
        'pa' => ['name' => "Panjabi, Punjabi"],
        'ps' => ['name' => "Pashto, Pushto"],
        'fa' => ['name' => "Persian (Farsi)"],
        'pl' => ['name' => "Polish"],
        'pt' => ['name' => "Portuguese"],
        'qu' => ['name' => "Quechua"],
        'ro' => ['name' => "Romanian, [])"],
        'rm' => ['name' => "Romansh"],
        'ru' => ['name' => "Russian"],
        'sm' => ['name' => "Samoan"],
        'sg' => ['name' => "Sango"],
        'sa' => ['name' => "Sanskrit (Sa??skṛta)"],
        'sc' => ['name' => "Sardinian"],
        'gd' => ['name' => "Scottish Gaelic; Gaelic"],
        'sr' => ['name' => "Serbian"],
        'sn' => ['name' => "Shona"],
        'sd' => ['name' => "Sindhi"],
        'si' => ['name' => "Sinhala, Sinhalese"],
        'sk' => ['name' => "Slovak"],
        'sl' => ['name' => "Slovene"],
        'so' => ['name' => "Somali"],
        'az' => ['name' => "South Azerbaijani"],
        'nr' => ['name' => "South Ndebele"],
        'st' => ['name' => "Southern Sotho"],
        'es' => ['name' => "Spanish; Castilian"],
        'su' => ['name' => "Sundanese"],
        'sw' => ['name' => "Swahili"],
        'ss' => ['name' => "Swati"],
        'sv' => ['name' => "Swedish"],
        'tl' => ['name' => "Tagalog"],
        'ty' => ['name' => "Tahitian"],
        'tg' => ['name' => "Tajik"],
        'ta' => ['name' => "Tamil"],
        'tt' => ['name' => "Tatar"],
        'te' => ['name' => "Telugu"],
        'th' => ['name' => "Thai"],
        'bo' => ['name' => "Tibetan Standard, Tibetan, Central"],
        'ti' => ['name' => "Tigrinya"],
        'to' => ['name' => "Tonga (Tonga Islands)"],
        'ts' => ['name' => "Tsonga"],
        'tn' => ['name' => "Tswana"],
        'tr' => ['name' => "Turkish"],
        'tk' => ['name' => "Turkmen"],
        'tw' => ['name' => "Twi"],
        'uk' => ['name' => "Ukrainian"],
        'ur' => ['name' => "Urdu"],
        'ug' => ['name' => "Uyghur, Uighur"],
        'uz' => ['name' => "Uzbek"],
        've' => ['name' => "Venda"],
        'vi' => ['name' => "Vietnamese"],
        'vo' => ['name' => "Volapük"],
        'wa' => ['name' => "Walloon"],
        'cy' => ['name' => "Welsh"],
        'fy' => ['name' => "Western Frisian"],
        'wo' => ['name' => "Wolof"],
        'xh' => ['name' => "Xhosa"],
        'yi' => ['name' => "Yiddish"],
        'yo' => ['name' => "Yoruba"],
        'za' => ['name' => "Zhuang, Chuang"],
        'zu' => ['name' => "Zulu"]
    ];

}

