<?php
declare(strict_types = 1);

namespace Views\admin\communicate;

use Apex\Svc\{View, App, Queue};
use App\Users\Models\LoginNotice;

/**
 * Render the template.
 */
class login_notices
{

    /**
     * Render
     */
    public function render(View $view, App $app):void
    {

        // Create login_notouse
        if ($app->getAction() == 'create') {

            $obj = LoginNotice::insert([
                'is_markdown' => $app->post('is_markdown'),
                'requires_accept' => $app->post('requires_accept'),
                'user_type' => $app->post('user_type'),
                'criteria' => LoginNotice::getCriteriaFromForm($app),
                'title' => $app->post('title'),
                'contents' => $app->post('contents')
            ]);

            // Callout
            $view->addCallout("Successfully created new login notice");

        // Update login_notouse
        } elseif ($app->getAction() == 'update') {

        // Get model
            if (!$obj = LoginNotice::whereId($app->post('login_notouse_id'))) {
                throw new \Exception("No record exists with the id#, " . $app->post('login_notouse_id'));
            }

            // Update record
            $obj->save([
                'is_markdown' => $app->post('is_markdown'),
                'requires_accept' => $app->post('requires_accept'),
                'user_type' => $app->post('user_type'),
                'criteria' => LoginNotice::getCriteriaFromForm($app),
                'title' => $app->post('title'),
                'contents' => $app->post('contents')
            ]);

            // Add callout
            $view->addCallout("Successfully updated login notice.");
        }

    }

}


