<?php
declare(strict_types = 1);

namespace Views\admin\financial;

use Apex\Svc\{View, App, Container};
use App\Transaction\Models\Tx;

/**
 * Render the template.  All methods below are optional, may be 
 * removed as desired, and all methods support method based dependency injection.
 */
class viewtx
{

    /**
     * Render - This method will be called everytime the view is rendered, regardless of HTTP method.
     * You may also use post(), get(), delete(), et al. methods which only execute for that specific HTTP verb.
     * All methods support dependency injection, so you can put any desired dependencies within the parameter list.
     */
    public function render(View $view, App $app, Container $cntr):void
    {

        // Load tx
        $txid = $app->get('txid', '0');
        if (!$tx = Tx::whereId($txid)) {
            throw new \Exception("No transaction exists with the id# $txid");
        }
        $cntr->set(Tx::class, $tx);

        // Template variables
        $view->assign('tx', $tx->toDisplayArray(true));
    }

}


