<?php
declare(strict_types = 1);

namespace Views\admin;

use Apex\Svc\{View, App};
use App\Webapp\Models\Alert;

/**
 * Render the template.  All methods below are optional, may be 
 * removed as desired, and all methods support method based dependency injection.
 */
class inbox_view
{

    /**
     * Render.  This method will be called with every view 
 * regardless of the HTTP method.
     */
    public function render(View $view, App $app):void
    {

        // get alert
        if (!$alert = Alert::whereId($app->get('alert_id'))) {
            throw new \Exception("No alert exists with the id# " . $app->get('alert_id'));
        }

        // mark read, if needed
        $alert->markRead();

        // Template vars
        $vars = $alert->toDisplayArray();
        $view->assign('alert', $vars);
    }

}



