<?php
declare(strict_types = 1);

namespace Views\admin;

use Apex\Svc\{App, View};
use Apex\Armor\Auth\Login as ArmorLogin;

/**
 * Render the template.
 */
class login
{

    /**
     * Render
     */
    public function render(View $view, App $app, ArmorLogin $login)
    {

        // Login
        if ($app->getAction() == 'login') { 

            if (!$session = $login->withPassword($app->post('username'), $app->post('password'), 'admin')) { 
                $view->addCallout('Invalid username or password, please try again.', 'error');
                return;
            }

            // Set successful login
            $app->setSession($session);

            // Template variables
            $view->assign('is_auth', '1');
            $view->assign('profile', $app->getUser()->toDisplayArray());
            $view->setTemplateFile('admin/index', true);
        }

    }

}


