<?php
declare(strict_types = 1);

namespace Views\admin\settings;

use Apex\Svc\{View, App, Db};

/**
 * Render the template.
 */
class admin_manage
{

    /**
     * Render
     */
    public function render(View $view, App $app, Db $db):void
    {

        // GEt menu html
        $uuid = $app->get('admin_id');
        $menus = $this->getAvailableMenus($uuid, $db);

        // Template variables
        $view->assign('admin_id', $uuid);
        $view->assign('available_menus', $menus);
    }

    /**
     * Get available menus
     */
    private function getAvailableMenus(string $uuid, Db $db):string
    {

        // Get allowed menus
        $allowed = [];
        $rows = $db->query("SELECT * FROM cms_menus_acl WHERE area = 'admin' AND uuid = %s", $uuid);
        foreach ($rows as $row) {
            $alias = $row['alias'] == '' ? $row['parent'] : $row['parent'] . '.' . $row['alias'];
            $allowed[] = $alias;
        }

        // Go through parent menus
        $menus = '';
        $parents = $db->query("SELECT * FROM cms_menus WHERE area = 'admin' AND parent = '' ORDER BY order_num");
        foreach ($parents as $prow) {
            $chk = in_array($prow['alias'], $allowed) ? 'checked="checked"' : '';
            $menus .= "<input type=\"checkbox\" name=\"acl[]\" value=\"$prow[alias]\" $chk> $prow[name]<br />\n";


            // GO through child menus
            $rows = $db->query("SELECT * FROM cms_menus WHERE area = 'admin' AND parent = %s ORDER BY order_num", $prow['alias']);
            foreach ($rows as $row) {
                $alias = $prow['alias'] . '.' . $row['alias'];
                $chk = in_array($alias, $allowed) ? 'checked="checked"' : '';
                $menus .= "    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<input type=\"checkbox\" name=\"acl[]\" value=\"$alias\" $chk> $row[name]<br />\n";
            }
            }

        // REturn
        return $menus;
    }

}


