<?php
declare(strict_types = 1);

namespace Views\admin\settings;

use Apex\Svc\{View, App};

/**
 * Render the template.
 */
class general
{

    /**
     * Render
     */
    public function render(View $view, App $app):void
    {

        // Check for form submission
        if ($app->getAction() != 'settings') { 
            return;
        }

        // Set config vars
        $vars = [
            'domain_name',
            'project',
            'mode',
            'debug_level',
            'log_level',
            'cache',
            'date_format',
            'max_logfile_size',
            'enable_javascript',
            'default_timezone',
            'default_language',
            'default_currency',
            'auto_upgrade',
            'image_storage_type',
            'nexmo_api_key',
            'nexmo_api_secret',
            'nexmo_sender',
            'recaptcha_site_key',
            'recaptcha_secret_key',
            'openexchange_app_id',
            'backups_enable',
            'backups_db_interval',
            'backups_full_interval',
            'sms_verification_message',
            'site_name',
            'site_address',
            'site_address2',
            'site_email',
            'site_phone',
            'site_tagline',
            'site_about',
            'site_facebook',
            'site_twitter',
            'site_instagram',
            'site_linkedin',
            'site_youtube',
            'site_reddit',
            'site_github'
        ];

        // Update config vars
        foreach ($vars as $var) { 
            $app->setConfig('core.' . $var, $app->post($var));
        }

        // Callout
        $view->addCallout("Successfully updated the Core settings.");
    }

}


