<?php
declare(strict_types = 1);

namespace Views\admin\settings;

use Apex\Svc\{View, App};
use App\Users\Models\UserGroup;

/**
 * Render the template.
 */
class users_groups
{

    /**
     * Render
     */
    public function render(View $view, App $app):void
    {

        // Create user_group
        if ($app->getAction() == 'create') {

            $obj = UserGroup::insert([
                'show_in_form' => $app->post('show_in_form'),
                'name' => $app->post('name'),

            ]);

            // Callout
            $view->addCallout("Successfully created new user_group");

        // Update user_group
        } elseif ($app->getAction() == 'update') {

        // Get model
            if (!$obj = UserGroup::whereId($app->post('user_group_id'))) {
                throw new \Exception("No record exists with the id#, " . $app->post('user_group_id'));
            }

            // Update record
            $obj->save([
                'show_in_form' => $app->post('show_in_form'),
                'name' => $app->post('name'),

            ]);

            // Add callout
            $view->addCallout("Successfully updated user_group");
        }

    }

}


