<?php
declare(strict_types = 1);

namespace Views\admin\users;

use Apex\Svc\{View, App};
use App\Users\{User, UserProfiles};
use App\Users\Exceptions\UserNotExistsException;

/**
 * Render the template.
 */
class delete
{

    /**
     * Render
     */
    public function render(View $view, App $app, UserProfiles $profiles):void
    {

            // Check if not deleting
        if ($app->getAction() != 'delete') {
            return;
        }

        // Load user
        $uuid = $app->post('delete_id');
        if (!$user = User::loadUuid($uuid)) {
            throw new UserNotExistsException("No user exists within database with the uuid, $uuid");
        }

        // Delete as necessary
        if ($app->post('method') == 'hard') {
            $profiles->remove($user);
            $view->addCallout('Successfully permanently deleted the selected user from the database.');
            return;
        }

        // Software delete
        $user->delete();

        // Add note, if needed
        if ($app->post('note', '') != '') {
            $user->addNote($app->post('note'));
        }

        // Callout
        $view->addCallout('Successfully soft deleted the selected user.');
    }

}

