<?php
declare(strict_types = 1);

namespace Views\admin\users;

use Apex\Svc\{View, App};
use App\Users\{User, UserProfiles};

/**
 * Render the template.
 */
class pending
{

    /**
     * Render
     */
    public function render(View $view, App $app, UserProfiles $profiles):void
    {

        // Check if processing
        if ($app->getAction() != 'process') {
            return;
        }
        $note = $app->post('note');

        // Go through users
        $uuids = $app->post('uuid');
        foreach ($uuids as $uuid) {

            // Load user
            if (!$user = User::loadUuid($uuid)) {
                continue;
            }

        // Process user
            if ($app->post('status') == 'deactivate') {
                $user->deactivate();
            } elseif ($app->post('status') == 'delete') {
                $profiles->remove($uuid);
                continue;
            } else {
                $user->activate();
            }

            // Add note, if needed
            if ($note !== null) {
                $user->addNote($note);
            }
        }

        // Callout
        $view->addCallout('Successfully ' . $app->post('status') . 'd all checked users.');
    }

}


