<?php
declare(strict_types = 1);

namespace Views\admin\users;

use Apex\Svc\{View, App};
use Apex\Armor\Auth\AutoLogin;

/**
 * Render the template.  All methods below are optional, may be 
 * removed as desired, and all methods support method based dependency injection.
 */
class remote_login
{

    /**
     * Render - This method will be called everytime the view is rendered, regardless of HTTP method.
     * You may also use post(), get(), delete(), et al. methods which only execute for that specific HTTP verb.
     * All methods support dependency injection, so you can put any desired dependencies within the parameter list.
     */
    public function render(View $view, App $app, AutoLogin $login):void
    {

        // Login
        $uuid = $app->get('manage_id');
        $login->loginUuid($uuid);

        // Redirect
        header("Location: /members/index");
    }

}

