<?php
declare(strict_types = 1);

namespace Views;

use Apex\Svc\{View, App, Dispatcher, MessageRequest};
use Apex\Armor\Auth\Login as ArmorLogin;
use Apex\App\Adapters\SyrusAdapter;

/**
 * Render the template.
 */
class login
{

    /**
     * Render
     */
    public function render(View $view, App $app)
    {

        // Set redirect url
        $redirect_url = $app->get('redirect', '');
        $view->assign('redirect_url', $redirect_url);
    }

    /**
     * post
     */
    public function post(View $view, App $app, ArmorLogin $login, Dispatcher $dispatcher, SyrusAdapter $adapter):void
    {

        // Login
        if ($app->getAction() != 'login') { 
            return;
        }

        // Check user / pass
        if (!$session = $login->withPassword($app->post('username'), $app->post('password'), 'user')) { 
            $view->addCallout('Invalid username or password, please try again.', 'error');
            return;
        }
        $app->setSession($session);

        // Dispatch message
        $msg = new MessageRequest('users.profiles.login', $session->getUuid());
        $dispatcher->dispatch($msg);

        // Get template file
        $redirect_url = $app->post('redirect_url', '');
        if ($redirect_url == '') { 
            $redirect_url = $app->config('users.redirect_after_login') == 'index' ? '/index' : '/members/index';
        }

        // /Redirect user
        header("Location: $redirect_url");
        exit(0);
    }

}


