<?php
declare(strict_types = 1);

namespace Views\members\account;

use Apex\Svc\{View, App};
use Apex\Armor\Auth\Login;

/**
 * Render the template.
 */
class password
{

    /**
     * Render
     */
    public function render(View $view, App $app, Login $login):void
    {

        // Return, if not updating
        if ($app->getAction() != 'change_password') {
            return;
        }

        // Perform checks
        if ($app->post('password', '') == '') {
            $view->addCallout('You did not specify a current password.', 'error');
            return;
        } elseif ($app->post('new_password') == '') {
            $view->addCallout('You did not specify a new password.', 'error');
            return;
        } elseif ($app->post('new_password') != $app->post('new_password2')) {
            $view->addCallout('Passwords do not match.  Please try again.', 'error');
            return;
        } elseif (!$login->checkCredentials($app->getUser()->getUsername(), $app->post('password'))) {
            $view->addCallout('Invalid current password specified.  Please try again.', 'error');
            return;
        }

        // Update password
        $user = $app->getUser();
        $user->updatePassword($app->post('new_password'), $app->post('password'));

        // Callout
        $view->addCallout('Successfully updated your account password.');
    }

}


