<?php
declare(strict_types = 1);

namespace Views\members\auth;

use Apex\Svc\{View, App, Container};
use Apex\Armor\Auth\TwoFactor\{TwoFactorPhone, TwoFactorEmailOTP};

/**
 * Render the template.
 */
class verify_2fa
{

    /**
     * Render
     */
    public function render(View $view, App $app, Container $cntr):void
    {

        // Initialize
        $type = $app->post('type');
        $code = $app->post('code');

        // Phone verification
        if ($type == 'phone') { 

            // Verify
            $verifier = $cntr->make(TwoFactorPhone::class);
            if (!$verifier->verify($app->getUser(), $code)) { 
                $view->addCallout('Invalid verification code.  Please double check, and try again.', 'error');
                $view->setTemplateFile('/members/auth/2fa_phone.html', true);
            }

        // E-mail via OTP
        } else {

            // Verify 
            $verifier = $cntr->make(TwoFactorEmailOTP::class);
            if (!$verifier->verify($app->getUser(), $code)) { 
                $view->addCallout('Invalid verification code.  Please double check, and try again.', 'error');
                $view->setTemplateFile('/members/auth/2fa_email_otp.html', true);
            }

        }

    }

}


