<?php
declare(strict_types = 1);

namespace Views\members\auth;

use Apex\Svc\{View, App, Container};
use Apex\Armor\User\Verify\VerifyEmailOTP;

/**
 * Render the template.
 */
class verify_email_otp
{

    /**
     * Render
     */
    public function render(View $view, App $app, Container $cntr):void
    {

        // Verify
        if ($app->getAction() == 'verify') {
            $client = $cntr->make(VerifyEmailOTP::class);
            if (!$client->verify($app->getUser(), $app->post('code'))) {
                $view->addCallout('Invalid verification code specified.  Please try again.', 'error');
            } else {
                $view->addCallout('Thank you, your e-mail address has been successfully verified.');
                $view->setTemplateFile('members/index');
                return;
            }

        // Resend
        } elseif ($app->getAction() == 'resend') {
            $client = $cntr->make(VerifyEmailOTP::class);
            $client->init($app->getUser());
            $view->addCallout('Successfully resent verification code via e-mail.');
        }

    }

}


