<?php
declare(strict_types = 1);

namespace Views\members\auth;

use Apex\Svc\{View, App, Container};
use Apex\Armor\User\Verify\VerifyPhone;

/**
 * Render the template.
 */
class verify_phone
{

    /**
     * Render
     */
    public function render(View $view, App $app, Container $cntr):void
    {

        // Verify
        if ($app->getAction() == 'verify') { 
            $client = $cntr->make(VerifyPhone::class);
            if (!$client->verify($app->getUser(), $app->post('code'))) {
                $view->addCallout('invalid verification code entered.  Please try again.', 'error');
            } else {
                $view->addCallout('Thank you, your phone has been successfully verified');
                $view->setTemplateFile('members/index');
                return;
            }

        // Resend
        } elseif ($app->getAction() == 'resend') {
            $client = $cntr->make(VerifyPhone::class);
            $client->init($app->getUser());
            $view->addCallout('Successfully resent a verification code to your phone.');
        }

    }

}


